peoPopEval(3)

NAME
peoPopEval - The peoPopEval class provides the interface for constructing ParadisEO specific evaluation functors.

SYNOPSIS

#include <peoPopEval.h>

Inherits Service.

Inherited by peoParaPopEval< EOT >, and peoSeqPopEval< EOT >.

  Public Member Functions
virtual void operator() (eoPop< EOT > &__pop)=0
Interface function providing the signature for constructing an evaluation functor.

Detailed Description

  template<class EOT> class peoPopEval< EOT >
The peoPopEval class provides the interface for constructing ParadisEO specific evaluation functors. The derived classes may be used as wrappers for EO-derived evaluation functors. In order to have an example, please refer to the implementation of the peoSeqPopEval and peoParaPopEval classes.

Definition at line 19 of file peoPopEval.h.

Author

Generated automatically by Doxygen for ParadisEO-PEO from the source code.